#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Coverage
Summary:	Pod::Coverage - checks if the documentation of a module is comprehensive
Summary(pl.UTF-8):	Pod::Coverage - sprawdzanie kompletności dokumentacji modułu
Name:		perl-Pod-Coverage
Version:	0.23
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	12229e553ee7887680ee3db11da5ee52
URL:		http://search.cpan.org/dist/Pod-Coverage/
BuildRequires:	perl-Module-Build >= 0.21-2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Devel-Symdump >= 2.01
BuildRequires:	perl-Pod-Parser >= 1.13
BuildRequires:	perl-Test-Pod >= 1.00
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a mechanism for determining if the pod for a
given module is comprehensive. It expects to find either a =head(n>1)
or an =item block documenting a subroutine.

%description -l pl.UTF-8
Ten moduł udostępnia mechamizm do określania, czy dokumentacja pod dla
danego modułu jest kompletna. Oczekuje bloku =head(n>1) lub =item
opisującego funkcję.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pod_cover
%{perl_vendorlib}/Pod/Coverage.pm
%{perl_vendorlib}/Pod/Coverage
%{_mandir}/man3/Pod::Coverage*.3pm*
%changelog
* Sat Mar 10 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Pod-Coverage.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> f53a098
- updated to 0.23

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 3bfa055
- up to 0.22

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> e223180
- updated to 0.21

* Wed Oct 07 2009 amateja <amateja@pld-linux.org> e3a3848
- updated to 0.20

* Sat Jan 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 11125a6
- generic URL

* Sat Jan 12 2008 Maciej Pijanka <agaran@pld-linux.org> 5adce08
- up to 0.19, rel 1

* Sat Dec 22 2007 Adam Gołębiowski <adamg@pld-linux.org> a037a35
- BR: perl-Test-Pod >= 1.00, perl-Pod-Parser >= 1.13 (with tests)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8dd22be
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 193c07f
- converted to UTF-8

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> 14651a1
- ver. 0.18

* Wed Dec 01 2004 radek <radek@pld-linux.org> a0b3c67
- BR perl-Pod-Parser at least 1.16

* Wed Dec 01 2004 radek <radek@pld-linux.org> 1f224c5
- release 2: BR: perl-Pod-Parser

* Wed Dec 01 2004 radek <radek@pld-linux.org> dbf36aa
- autoupdated to 0.17

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6105251
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> ac6e309
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Sun May 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 9c0be8d
- pass perl to depend on just %{__perl} instead of /usr/bin/perl5.8.4 or so

* Sun May 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 875fc68
- release 1

* Sun May 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 0f4991c
- updated to 0.14

* Fri May 07 2004 ankry <ankry@pld-linux.org> 57b5bb1
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 92869a0
- fixed perl-devel BR

